groovy.json

## Interface JsonParser

All Known Implementing Classes:
  BaseJsonParser, JsonFastParser, JsonParserCharArray, JsonParserLax, JsonParserUsingCharacterSource

    public interface JsonParser

This is the parser interface that backs the new JsonSlurper. It was derived from the Boon JSON parser.

Since:
  2.3.0
Author:
  Rick Hightower

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `parse(byte[] bytes)`
`java.lang.Object` `parse(byte[] bytes, java.lang.String charset)`
`java.lang.Object` `parse(char[] chars)`
`java.lang.Object` `parse(java.lang.CharSequence charSequence)`
`java.lang.Object` `parse(java.io.File file, java.lang.String charset)`
`java.lang.Object` `parse(java.io.InputStream input)`
`java.lang.Object` `parse(java.io.InputStream input, java.lang.String charset)`
`java.lang.Object` `parse(java.io.Reader reader)`
`java.lang.Object` `parse(java.lang.String jsonString)`

### Method Detail

#### parse

    java.lang.Object parse(java.lang.String jsonString)

#### parse

    java.lang.Object parse(byte[] bytes)

#### parse

    java.lang.Object parse(byte[] bytes,
                           java.lang.String charset)

#### parse

    java.lang.Object parse(java.lang.CharSequence charSequence)

#### parse

    java.lang.Object parse(char[] chars)

#### parse

    java.lang.Object parse(java.io.Reader reader)

#### parse

    java.lang.Object parse(java.io.InputStream input)

#### parse

    java.lang.Object parse(java.io.InputStream input,
                           java.lang.String charset)

#### parse

    java.lang.Object parse(java.io.File file,
                           java.lang.String charset)